Issue217

classification
Title xemacs 21.5 b28 segfaults upon exit on aix 5.2
Type defect Module core code 21.5
Severity crash Platform N/A
Keywords Nosy List
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason superseded
Superseder xemacs 21.5 b28 segfaults upon exit on aix 5.2
View: 99
  Submitted 2008-01-09.17:47:15
Priority normal   Assigned To

Created on 2008-01-19.06:43:16 by T.Mittelstaedt, last changed 2008-01-23.10:47:25 by stephen.

Messages
msg375 [hidden] ([hidden]) Date: 2008-01-19.06:43:16
  Message-ID: <478508A3.5070104@cadenas.de>
Hi,

just to let you know:

GNU gdb 6.6
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain 
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "powerpc-ibm-aix5.2.0.0"...

warning: core file may not match specified executable file.
ptrace ldinfo: No such process.
(gdb) bt
#0  0x1000460c in fatal_error_signal (sig=11) at emacs.c:3800
#1  0x000041ac in ?? ()
#2  0x00000000 in ?? ()

Fatal error: assertion failed, file window.c, line 2466, RECORD_TYPEP 
(obj, lrecord_type_window)
WARNING: Unable to auto-save your files properly.
Some or all may in fact have been auto-saved.

Fatal error (11).

Your files have been auto-saved.
Use `M-x recover-session' to recover them.

Your version of XEmacs was distributed with a PROBLEMS file that may 
describe
your crash, and with luck a workaround.  Please check it first, but do 
report
the crash anyway.

Please report this bug by invoking M-x report-emacs-bug, or by selecting
`Send Bug Report' from the Help menu.  If that won't work, send ordinary
email to `xemacs-beta@xemacs.org'.  *MAKE SURE* to include this entire
output from this crash, especially including the Lisp backtrace, as well as
the XEmacs configuration from M-x describe-installation (or equivalently,
the file `Installation' in the top of the build tree).

*Please* try *hard* to obtain a C stack backtrace; without it, we are 
unlikely
to be able to analyze the problem.  Locate the core file produced as a 
result
of this crash (often called `core' or `core.<process-id>', and located in
the directory in which you started XEmacs or your home directory), and type

  gdb /usr/local/bin/xemacs core

then type `where' at the debugger prompt.  No GDB on your system?  You may
have DBX, or XDB, or SDB.  (Ask your system administrator if you need help.)
If no core file was produced, enable them (often with `ulimit -c unlimited')
in case of future recurrance of the crash.

Lisp backtrace follows:

  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  next-window(nil)
  # (unwind-protect ...)
  # bind (success-list windows buf win owin obuf buf-list args fun 
directory)
  dired-fun-in-all-buffers("/localbuild/gcc-build/" dired-relist-entry 
"/localbuild/gcc-build/#build.out#")
  # bind (file)
  dired-relist-file("/localbuild/gcc-build/#build.out#")
  # bind (to args)
  dired-handler-fn-3((nil nil "/localbuild/gcc-build/#build.out#" nil 
lambda "/localbuild/gcc-build/#build.out#" #<coding-system binary 
no-conversion eol-type=lf>))
  # bind (dired-omit-silent hf args op)
  dired-handler-fn(write-region nil nil 
"/localbuild/gcc-build/#build.out#" nil lambda 
"/localbuild/gcc-build/#build.out#" #<coding-system binary no-conversion 
eol-type=lf>)
  # (condition-case ... . t)
  # (unwind-protect ...)
  # (unwind-protect ...)
  next-window(nil)
  # (unwind-protect ...)
  # bind (success-list windows buf win owin obuf buf-list args fun 
directory)
  dired-fun-in-all-buffers("/localbuild/gcc-build/" dired-relist-entry 
"/localbuild/gcc-build/#build.out#")
  # bind (file)
  dired-relist-file("/localbuild/gcc-build/#build.out#")
  # bind (to args)
  dired-handler-fn-3((nil nil "/localbuild/gcc-build/#build.out#" nil 
lambda "/localbuild/gcc-build/#build.out#" #<coding-system binary 
no-conversion eol-type=lf>))
  # bind (dired-omit-silent hf args op)
  dired-handler-fn(write-region nil nil 
"/localbuild/gcc-build/#build.out#" nil lambda 
"/localbuild/gcc-build/#build.out#" #<coding-system binary no-conversion 
eol-type=lf>)
  # (condition-case ... . t)
  # (unwind-protect ...)
  # (unwind-protect ...)
  kill-emacs()
  # bind (arg)
  save-buffers-kill-emacs(nil)
  # bind (command-debug-status)
  call-interactively(save-buffers-kill-emacs)
  (dispatch-event "[internal]")
  # (condition-case ... . error)
  # (catch top-level ...)

[1]+  Segmentation fault      (core dumped) xemacs
tmstaedt@buildaix3$ pwd

uname -a: AIX buildaix3 2 5 004B909C4C00

./configure 

XEmacs 21.5-b28 "fuki"  configured for `powerpc-ibm-aix5.2.0.0'.

Compilation Environment and Installation Defaults:
  Source code location:              /localbuild/xemacs-21.5.28
  Installation prefix:               /usr/local
  Operating system description file: `s/aix4-2.h'
  Machine description file:          `m/ibmrs6000.h'
  Compiler version:                  gcc (GCC) 4.2.2
    - GCC specs file:                specs.
    - Compiler command:              gcc   -Wall -Wno-switch -Wundef 
-Wsign-compare -Wno-char-subscripts -Wpacked -Wpointer-arith 
-Wunused-parameter -g 
  libc version:                      bos.rte.libc 5.2.0.30
  Relocating allocator for buffers:  yes
  GNU version of malloc:             yes

Window System:
  Compiling in support for the X window system:
    - X Windows headers location:                 /usr/X11R6/include
    - X Windows libraries location:               /usr/X11R6/lib
    - Handling WM_COMMAND properly.
  Compiling in support for Motif.
  *WARNING*  Many versions of Motif are buggy, requiring workarounds.
             You are likely to experience slow redisplay.
             You may need to install vendor patches to Motif.
             See PROBLEMS for more information.
  Using Lucid menubars.
  Using Lucid scrollbars.
  Using Motif dialog boxes.
  Using Motif native widgets.

TTY:
  Compiling in support for ncurses.

Images:
  Compiling in support for GIF  images (builtin).
  Compiling in support for XPM  images.
  Compiling in support for PNG  images.
  Compiling in support for JPEG images.
  Compiling in support for TIFF images.

Sound:

Databases:
  Compiling in support for Berkeley database.
  Compiling in support for GNU DBM.

Internationalization:

Mail:
  Compiling in support for "lockf" mail spool file locking method.

Other Features:
  Inhibiting IPv6 canonicalization at startup.
  Compiling in support for dynamic shared object modules.
  Using the new GC mark algorithms (KKCC).
  WARNING: ---------------------------------------------------------
  WARNING: The new algorithms are experimental. They are enabled by
  WARNING: default for this release. Use `--disable-kkcc' to
  WARNING: turn it off.
  WARNING: ---------------------------------------------------------
  Compiling in support for extra debugging code.
  Compiling in support for runtime error checking.
  WARNING: ---------------------------------------------------------
  WARNING: XEmacs will run noticeably more slowly as a result.
  WARNING: Error checking is on by default for XEmacs beta releases.
  WARNING: ---------------------------------------------------------

Load-Path Lisp Shadows:
----------------------
(/usr/local/lib/xemacs/xemacs-packages/lisp/xemacs-base/regexp-opt
/usr/local/lib/xemacs-21.5-b28/lisp/regexp-opt
/usr/local/lib/xemacs/xemacs-packages/lisp/xemacs-base/easy-mmode
/usr/local/lib/xemacs-21.5-b28/lisp/easy-mmode
/usr/local/lib/xemacs/xemacs-packages/lisp/build/build-report
/usr/local/lib/xemacs-21.5-b28/lisp/build-report)

Installed XEmacs Packages:
-------------------------
(zenirc ver: 1.16 upstream: 2.112)
(xwem ver: 1.22 upstream: lg@xwem.org--2005/xwem--main--2.1--versionfix-1)
(xslt-process ver: 1.12 upstream: 1.2.1)
(xslide ver: 1.09 upstream: 0.2.2)
(xlib ver: 1.14 upstream: lg@xwem.org--2005/xlib--main--2.1--version-0)
(xetla ver: 1.01 upstream: steve@eicq.org--2005/xetla--main--1.1--version-0)
(xemacs-devel ver: 1.72 upstream: No-Upstream-Ver)
(xemacs-base ver: 2.03 upstream: No-Upstream-Ver)
(x-symbol ver: 1.1 upstream: 4.5.1)
(w3 ver: 1.32 upstream: 4.0pre47)
(vm ver: 7.22 upstream: 7.17)
(viper ver: 1.48 upstream: 3.09)
(view-process ver: 1.13 upstream: 2.4)
(vhdl ver: 1.21 upstream: 3.33.8)
(vc-cc ver: 1.22 upstream: No-Upstream-Ver)
(vc ver: 1.41 upstream: No-Upstream-Ver)
(tramp ver: 1.32 upstream: 2.0.53)
(tpu ver: 1.14 upstream: 4.2X)
(tooltalk ver: 1.15 upstream: No-Upstream-Ver)
(tm ver: 1.38 upstream: No-Upstream-Ver)
(time ver: 1.14 upstream: 1.17)
(textools ver: 1.15 upstream: No-Upstream-Ver)
(text-modes ver: 1.9 upstream: No-Upstream-Ver)
(texinfo ver: 1.3 upstream: No-Upstream-Ver)
(supercite ver: 1.21 upstream: 3.55x3)
(strokes ver: 1.1 upstream: No-Upstream-Ver)
(speedbar ver: 1.28 upstream: 0.14beta4)
(sounds-wav ver: 1.12 upstream: No-Upstream-Ver)
(sounds-au ver: 1.12 upstream: No-Upstream-Ver)
(sml-mode ver: 0.12 upstream: 3.9.5)
(slider ver: 1.15 upstream: 0.3x1)
(sieve ver: 1.18 upstream: No-Upstream-Ver)
(sh-script ver: 1.21 upstream: 2.0f)
(sgml ver: 1.11 upstream: No-Upstream-Ver)
(semantic ver: 1.2 upstream: 1.4.4)
(scheme ver: 1.14 upstream: No-Upstream-Ver)
(sasl ver: 1.16 upstream: 1.14.4)
(ruby-modes ver: 1.02 upstream: 1.6.8)
(rmail ver: 1.14 upstream: No-Upstream-Ver)
(riece ver: 1.22 upstream: 2.0.2)
(reftex ver: 1.34 upstream: 4.21)
(re-builder ver: 1.05 upstream: 1.20)
(python-modes ver: 1.07 upstream: No-Upstream-Ver)
(psgml-dtds ver: 1.03 upstream: No-Upstream-Ver)
(psgml ver: 1.44 upstream: 1.3.1)
(ps-print ver: 1.11 upstream: 6.5.6)
(prog-modes ver: 2.07 upstream: No-Upstream-Ver)
(pgg ver: 1.06 upstream: 0.1)
(perl-modes ver: 1.09 upstream: No-Upstream-Ver)
(pcomplete ver: 1.04 upstream: 1.1.6)
(pcl-cvs ver: 1.66 upstream: R-2_9_9)
(pc ver: 1.28 upstream: No-Upstream-Ver)
(os-utils ver: 1.37 upstream: No-Upstream-Ver)
(oo-browser ver: 1.04 upstream: 4.08)
(ocaml ver: 0.05 upstream: 3.06)
(net-utils ver: 1.48 upstream: N/A)
(mmm-mode ver: 1.02 upstream: 0.4.7)
(misc-games ver: 1.18 upstream: No-Upstream-Ver)
(mine ver: 1.16 upstream: 1.9)
(mh-e ver: 1.29 upstream: 7.4.2)
(mew ver: 1.19 upstream: 1.94.2)
(mailcrypt ver: 2.14 upstream: 3.5.8)
(mail-lib ver: 1.76 upstream: No-Upstream-Ver)
(jde ver: 1.51 upstream: 2.3.3)
(ispell ver: 1.32 upstream: 3.6)
(ilisp ver: 1.33 upstream: 5.12.0)
(igrep ver: 1.14 upstream: 2.111)
(idlwave ver: 1.32 upstream: 5.1)
(ibuffer ver: 1.09 upstream: No-Upstream-Ver)
(hyperbole ver: 1.16 upstream: 4.18)
(hm--html-menus ver: 1.23 upstream: 5.9)
(haskell-mode ver: 1.08 upstream: 2.1)
(gnus ver: 1.9 upstream: 5.10.7)
(gnats ver: 1.17 upstream: 3.101)
(general-docs ver: 1.04 upstream: No-Upstream-Ver)
(games ver: 1.17 upstream: 1.04)
(fsf-compat ver: 1.15 upstream: No-Upstream-Ver)
(frame-icon ver: 1.11 upstream: No-Upstream-Ver)
(fortran-modes ver: 1.05 upstream: No-Upstream-Ver)
(forms ver: 1.15 upstream: 2.37)
(footnote ver: 1.16 upstream: 0.18x)
(eudc ver: 1.39 upstream: 1.32)
(eterm ver: 1.17 upstream: No-Upstream-Ver)
(eshell ver: 1.1 upstream: 2.4.1)
(escreen ver: 1.01 upstream: 1.16)
(erc ver: 0.21 upstream: Version 5.1.2 Revision: 1.796.2.6)
(emerge ver: 1.11 upstream: No-Upstream-Ver)
(elib ver: 1.11 upstream: 1.0)
(eieio ver: 1.05 upstream: 0.17)
(efs ver: 1.33 upstream: 1.23)
(edt ver: 1.13 upstream: No-Upstream-Ver)
(edit-utils ver: 2.34 upstream: No-Upstream-Ver)
(ediff ver: 1.62 upstream: 2.75)
(edebug ver: 1.21 upstream: No-Upstream-Ver)
(ecrypto ver: 0.2 upstream: 2.0)
(ecb ver: 1.22 upstream: 2.31)
(docbookide ver: 0.07000000000000001 upstream: 0.1)
(dired ver: 1.17 upstream: 7.13)
(dictionary ver: 1.16 upstream: 1.8)
(debug ver: 1.17 upstream: No-Upstream-Ver)
(crisp ver: 1.15 upstream: 1.34)
(cookie ver: 1.15 upstream: No-Upstream-Ver)
(clearcase ver: 1.1 upstream: /main/laptop/165)
(cc-mode ver: 1.45 upstream: 5.30.10)
(calendar ver: 1.23 upstream: No-Upstream-Ver)
(calc ver: 1.26 upstream: 2.02fX3)
(c-support ver: 1.22 upstream: No-Upstream-Ver)
(build ver: 1.14 upstream: 2.02)
(bbdb ver: 1.29 upstream: 2.34)
(auctex ver: 1.46 upstream: 11.55)
(apel ver: 1.32 upstream: 10.6)
(ada ver: 1.14 upstream: 2.27)
(Sun ver: 1.16 upstream: No-Upstream-Ver)

Installed Modules:
-----------------

Features:
--------

(mail-abbrevs xemacsbug shadow sendmail rfc822 view-less view uniquify
cal-move cal-xemacs calendar time gnuserv psvn wid-edit overlay
diff-mode advice advice-preload elp ediff-util ediff-merg ediff-diff
ediff-wind ediff-tbar ediff-mult ediff-help ediff-init dired-faces
dired-xemacs dired cus-face blink-cursor mwheel edmacro
zenirc-autoloads xwem-autoloads xslt-process-autoloads
xslide-autoloads xlib-autoloads xetla-autoloads xemacs-devel-autoloads
xemacs-base-autoloads x-symbol-autoloads w3-autoloads vm-autoloads
viper-autoloads view-process-autoloads vhdl-autoloads vc-cc-autoloads
vc-autoloads tramp-autoloads tpu-autoloads tooltalk-autoloads
tm-autoloads time-autoloads textools-autoloads text-modes-autoloads
texinfo-autoloads supercite-autoloads strokes-autoloads
speedbar-autoloads sounds-wav-autoloads sounds-au-autoloads
sml-mode-autoloads slider-autoloads sieve-autoloads
sh-script-autoloads sgml-autoloads semantic-autoloads scheme-autoloads
sasl-autoloads ruby-modes-autoloads rmail-autoloads riece-autoloads
reftex-autoloads re-builder-autoloads python-modes-autoloads
psgml-dtds-autoloads psgml-autoloads ps-print-autoloads
prog-modes-autoloads pgg-autoloads perl-modes-autoloads
pcomplete-autoloads pcl-cvs-autoloads pc-autoloads os-utils-autoloads
oo-browser-autoloads ocaml-autoloads net-utils-autoloads
mmm-mode-autoloads misc-games-autoloads mine-autoloads mh-e-autoloads
mew-autoloads mailcrypt-autoloads mail-lib-autoloads jde-autoloads
ispell-autoloads ilisp-autoloads igrep-autoloads idlwave-autoloads
ibuffer-autoloads hyperbole-autoloads hm--html-menus-autoloads
haskell-mode-autoloads gnus-autoloads gnats-autoloads
general-docs-autoloads games-autoloads fsf-compat-autoloads
frame-icon-autoloads fortran-modes-autoloads forms-autoloads
footnote-autoloads eudc-autoloads eterm-autoloads eshell-autoloads
escreen-autoloads erc-autoloads emerge-autoloads elib-autoloads
eieio-autoloads efs-autoloads edt-autoloads edit-utils-autoloads
ediff-autoloads edebug-autoloads ecrypto-autoloads ecb-autoloads
docbookide-autoloads dired-autoloads dictionary-autoloads
debug-autoloads crisp-autoloads cookie-autoloads clearcase-autoloads
cc-mode-autoloads calendar-autoloads calc-autoloads
c-support-autoloads build-autoloads bbdb-autoloads auctex-autoloads
apel-autoloads ada-autoloads Sun-autoloads modules-autoloads
auto-autoloads auto-show fontl-hooks code-cmds gutter-items
menubar-items x-menubar mode-motion mouse behavior itimer auto-save
lisp-mode easymenu easy-mmode iso8859-1 page buff-menu lib-complete
loadhist cus-file derived newcomment rsz-minibuf env text-props frame
obsolete cus-start custom widget cl-extra cl cl-19 packages backquote
unicode lucid-scrollbars cut-buffer lucid-menubars motif-dialogs x
c-balloon-help tty-frames tty toolbar scrollbar unix-processes
multicast network-streams subprocesses modules
menu-accelerator-support menubar berkeley-db dbm md5 xemacs gutter
tiff png gif jpeg xpm xbm lisp-float-type file-coding aix dialog
devices window-system base64)

Recent keystrokes:
-----------------

button1 button1up M-x d e s c r i b - BS e - i n TAB
RET C-x h button1 button1up misc-user

Recent messages (most recent first):
-----------------------------------

Warning:

Defaulting to the GNU Emacs-derived `sendmail.el' mail client. This 
facility,
while part of base XEmacs, is heinously underfeatured, and not going to get
better in the medium term. We include it so that bug reports work without
packages; we suggest that you choose and/or install one of the other mail
clients from packages if you're doing something other than M-x
report-xemacs-bug , or even if you are reporting bugs regularly.

To choose a package from those installed, click on "Options" ->
"Internet" -> "Compose Mail With ..." and decide on one from the
list. Gnus and VM are full-featured and have active user communities.

To disable this warning and stick with the old behavior, you can explicitly
initialize `mail-user-agent' to 'sendmail-user-agent .
Loading xemacsbug...done
Loading xemacsbug...
Loading view-less...done
Loading view-less...
Loading /home/tmstaedt/.xemacs/set-faces.el...done
Loading /home/tmstaedt/.xemacs/set-faces.el...
Loading cal-move...done
Loading cal-move...
Loading calendar...done
Loading calendar...
Loading time...done
Loading time...
Loading gnuserv...done
Loading gnuserv...
Loading wid-edit...done
Loading wid-edit...
Loading advice...done
Loading advice...
Loading /home/tmstaedt/.xemacs/custom.el...done

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
History
Date User Action Args
2008-01-23 10:47:25stephensetstatus: new -> closed
priority: normal
reason: superseded
severity: crash
platform: + N/A
type: defect
superseder: + xemacs 21.5 b28 segfaults upon exit on aix 5.2
module: + core code 21.5
2008-01-19 06:43:16T.Mittelstaedtcreate